User
Manage users in VARIO Cloud via the REST API, including user data, permissions, settings, signatures, favorites, activation and deactivation.
User.
User identifier.
Signature identifier.
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
ContentType
Content
GET /cmn/users/{id}/signature/{signatureId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"contentType": "TEXT",
"content": "text"
}User identifier.
Signature identifier.
Version Identifier for this Object (for PUT)
Unique identifier of the Object
ContentType
Content
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
ContentType
Content
PUT /cmn/users/{id}/signature/{signatureId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 102
{
"version": "text",
"info": {},
"id": "text",
"userRef": {
"id": "text"
},
"contentType": "TEXT",
"content": "text"
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"contentType": "TEXT",
"content": "text"
}User identifier.
Signature identifier.
OK
No content
DELETE /cmn/users/{id}/signature/{signatureId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
No content
User identifier.
Output favorite identifier.
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Data type.
Event-Types
GET /cmn/users/{id}/favorites/subscription/{subscriptionId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"refKey": "text",
"eventTypes": [
"text"
]
}User identifier.
Output favorite identifier.
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Data type.
Event-Types
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Data type.
Event-Types
PUT /cmn/users/{id}/favorites/subscription/{subscriptionId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 102
{
"version": "text",
"info": {},
"id": "text",
"userRef": {
"id": "text"
},
"refKey": "text",
"eventTypes": [
"text"
]
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"refKey": "text",
"eventTypes": [
"text"
]
}User identifier.
Output favorite identifier.
OK
No content
DELETE /cmn/users/{id}/favorites/subscription/{subscriptionId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
No content
User identifier.
Output favorite identifier.
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Number of outputs.
GET /cmn/users/{id}/favorites/outputs/{favoriteId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"moduleRef": {
"key": "text",
"label": "text"
},
"outputModuleRule": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"sourceOutputTypeRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetOutputTypeRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetReportGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetOutputConsumerRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"outputQuantity": 1,
"targetOutputConsumerResult": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
}
}User identifier.
Output favorite identifier.
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Number of outputs.
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Number of outputs.
PUT /cmn/users/{id}/favorites/outputs/{favoriteId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1050
{
"version": "text",
"info": {},
"id": "text",
"userRef": {
"id": "text"
},
"moduleRef": {
"key": "text",
"label": "text"
},
"outputModuleRule": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"sourceOutputTypeRef": {
"id": "text"
},
"targetOutputTypeRef": {
"id": "text"
},
"targetReportGroupRef": {
"id": "text"
},
"targetOutputConsumerRef": {
"id": "text"
},
"outputQuantity": 1,
"targetOutputConsumerResult": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
}
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"moduleRef": {
"key": "text",
"label": "text"
},
"outputModuleRule": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"sourceOutputTypeRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetOutputTypeRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetReportGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetOutputConsumerRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"outputQuantity": 1,
"targetOutputConsumerResult": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
}
}User identifier.
Output favorite identifier.
OK
No content
DELETE /cmn/users/{id}/favorites/outputs/{favoriteId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
No content
identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Is the user active?
trueusername
first-name
last-name
email-address
Is owner user?
falseis the email verified
falseValid to
User type
App-Identifier
Referenced customer user identifier (CustomerUserEntity.id from vab-manager).
Resource was not found
Resource was not valid to process
PUT /cmn/users/{id}/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"active": true,
"username": "text",
"firstName": "text",
"lastName": "text",
"emailAddress": "text",
"owner": false,
"emailVerified": false,
"validTo": "2026-01-01T00:00:00.000Z",
"type": "REGULAR",
"roles": [],
"groups": [],
"appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"referencedCustomerUserId": 1
}User identifier.
successful operation
is user superuser?
falseGET /cmn/users/{id}/authorization HTTP/1.1
Host: api.example.com
Accept: */*
successful operation
{
"superUser": false,
"operations": []
}User identifier.
successful operation
is user superuser?
falseResource was not valid to process
PUT /cmn/users/{id}/authorization HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 24
{
"roles": [],
"groups": []
}{
"superUser": false,
"operations": []
}identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Is the user active?
trueusername
first-name
last-name
email-address
Is owner user?
falseis the email verified
falseValid to
User type
App-Identifier
Referenced customer user identifier (CustomerUserEntity.id from vab-manager).
Resource was not found
Resource was not valid to process
PUT /cmn/users/{id}/activate HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"active": true,
"username": "text",
"firstName": "text",
"lastName": "text",
"emailAddress": "text",
"owner": false,
"emailVerified": false,
"validTo": "2026-01-01T00:00:00.000Z",
"type": "REGULAR",
"roles": [],
"groups": [],
"appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"referencedCustomerUserId": 1
}Output subscription identifier.
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Data type.
Event-Types
GET /cmn/users/me/favorites/subscription/{subscriptionId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"refKey": "text",
"eventTypes": [
"text"
]
}Output subscription identifier.
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Data type.
Event-Types
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Data type.
Event-Types
PUT /cmn/users/me/favorites/subscription/{subscriptionId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 102
{
"version": "text",
"info": {},
"id": "text",
"userRef": {
"id": "text"
},
"refKey": "text",
"eventTypes": [
"text"
]
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"refKey": "text",
"eventTypes": [
"text"
]
}Output subscription identifier.
OK
No content
DELETE /cmn/users/me/favorites/subscription/{subscriptionId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
No content
Output favorite identifier.
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Number of outputs.
GET /cmn/users/me/favorites/outputs/{favoriteId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"moduleRef": {
"key": "text",
"label": "text"
},
"outputModuleRule": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"sourceOutputTypeRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetOutputTypeRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetReportGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetOutputConsumerRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"outputQuantity": 1,
"targetOutputConsumerResult": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
}
}Output favorite identifier.
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Number of outputs.
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Number of outputs.
PUT /cmn/users/me/favorites/outputs/{favoriteId} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1050
{
"version": "text",
"info": {},
"id": "text",
"userRef": {
"id": "text"
},
"moduleRef": {
"key": "text",
"label": "text"
},
"outputModuleRule": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"sourceOutputTypeRef": {
"id": "text"
},
"targetOutputTypeRef": {
"id": "text"
},
"targetReportGroupRef": {
"id": "text"
},
"targetOutputConsumerRef": {
"id": "text"
},
"outputQuantity": 1,
"targetOutputConsumerResult": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
}
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"moduleRef": {
"key": "text",
"label": "text"
},
"outputModuleRule": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"sourceOutputTypeRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetOutputTypeRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetReportGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetOutputConsumerRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"outputQuantity": 1,
"targetOutputConsumerResult": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
}
}Output favorite identifier.
OK
No content
DELETE /cmn/users/me/favorites/outputs/{favoriteId} HTTP/1.1
Host: api.example.com
Accept: */*
OK
No content
User identifier.
Version Identifier for this Object (for PUT)
Unique identifier of the Object
ContentType
Content
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
ContentType
Content
POST /cmn/users/{id}/signature HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 102
{
"version": "text",
"info": {},
"id": "text",
"userRef": {
"id": "text"
},
"contentType": "TEXT",
"content": "text"
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"contentType": "TEXT",
"content": "text"
}User identifier.
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Data type.
Event-Types
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Data type.
Event-Types
POST /cmn/users/{id}/favorites/subscription HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 102
{
"version": "text",
"info": {},
"id": "text",
"userRef": {
"id": "text"
},
"refKey": "text",
"eventTypes": [
"text"
]
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"refKey": "text",
"eventTypes": [
"text"
]
}User identifier.
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Number of outputs.
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Number of outputs.
POST /cmn/users/{id}/favorites/outputs HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1050
{
"version": "text",
"info": {},
"id": "text",
"userRef": {
"id": "text"
},
"moduleRef": {
"key": "text",
"label": "text"
},
"outputModuleRule": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"sourceOutputTypeRef": {
"id": "text"
},
"targetOutputTypeRef": {
"id": "text"
},
"targetReportGroupRef": {
"id": "text"
},
"targetOutputConsumerRef": {
"id": "text"
},
"outputQuantity": 1,
"targetOutputConsumerResult": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
}
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"moduleRef": {
"key": "text",
"label": "text"
},
"outputModuleRule": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"sourceOutputTypeRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetOutputTypeRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetReportGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetOutputConsumerRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"outputQuantity": 1,
"targetOutputConsumerResult": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
}
}setting key
OK
setting-key
setting-value
GET /cmn/users/me/settings/{settingKey} HTTP/1.1
Host: api.example.com
Accept: */*
OK
{
"userRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"key": "text",
"value": "text"
}setting key
OK
setting-key
setting-value
POST /cmn/users/me/settings/{settingKey} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 6
"text"OK
{
"userRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"key": "text",
"value": "text"
}setting key
OK
No content
DELETE /cmn/users/me/settings/{settingKey} HTTP/1.1
Host: api.example.com
Accept: */*
OK
No content
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Data type.
Event-Types
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Data type.
Event-Types
POST /cmn/users/me/favorites/subscription HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 102
{
"version": "text",
"info": {},
"id": "text",
"userRef": {
"id": "text"
},
"refKey": "text",
"eventTypes": [
"text"
]
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"refKey": "text",
"eventTypes": [
"text"
]
}Version Identifier for this Object (for PUT)
Unique identifier of the Object
Number of outputs.
OK
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Number of outputs.
POST /cmn/users/me/favorites/outputs HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 1050
{
"version": "text",
"info": {},
"id": "text",
"userRef": {
"id": "text"
},
"moduleRef": {
"key": "text",
"label": "text"
},
"outputModuleRule": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"sourceOutputTypeRef": {
"id": "text"
},
"targetOutputTypeRef": {
"id": "text"
},
"targetReportGroupRef": {
"id": "text"
},
"targetOutputConsumerRef": {
"id": "text"
},
"outputQuantity": 1,
"targetOutputConsumerResult": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
}
}OK
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"userRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"moduleRef": {
"key": "text",
"label": "text"
},
"outputModuleRule": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
},
"sourceOutputTypeRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetOutputTypeRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetReportGroupRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"targetOutputConsumerRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"outputQuantity": 1,
"targetOutputConsumerResult": {
"empty": true,
"array": true,
"null": true,
"object": true,
"float": true,
"missingNode": true,
"valueNode": true,
"container": true,
"integralNumber": true,
"binary": true,
"nodeType": "ARRAY",
"string": true,
"pojo": true,
"short": true,
"int": true,
"long": true,
"double": true,
"bigDecimal": true,
"bigInteger": true,
"boolean": true,
"floatingPointNumber": true,
"number": true,
"embeddedValue": true
}
}successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Is the user active?
trueusername
first-name
last-name
email-address
Is owner user?
falseis the email verified
falseValid to
User type
App-Identifier
Referenced customer user identifier (CustomerUserEntity.id from vab-manager).
GET /cmn/users HTTP/1.1
Host: api.example.com
Accept: */*
successful operation
[]User identifier.
successful operation
the operation
the resource to authorize
the operation/verb to authorize
description of permission
Is this a permission that is added to the admin group automatically?
GET /cmn/users/{id}/available-permissions HTTP/1.1
Host: api.example.com
Accept: */*
successful operation
[]successful operation
Current tenant identifier.
Whether this tenant's customer is looked after by a partner.
GET /cmn/users/me HTTP/1.1
Host: api.example.com
Accept: */*
successful operation
{
"user": {
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"active": true,
"username": "text",
"firstName": "text",
"lastName": "text",
"emailAddress": "text",
"owner": false,
"emailVerified": false,
"validTo": "2026-01-01T00:00:00.000Z",
"type": "REGULAR",
"roles": [],
"groups": [],
"appIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"referencedCustomerUserId": 1
},
"company": {
"id": "1",
"name1": "text",
"name2": "text",
"name3": "text",
"street": "text",
"streetAddressNumber": "text",
"city": "text",
"postalCode": "text",
"languageCodeIso2a": "text",
"languageCodeId": 1,
"countryCodeIso2a": "text",
"countryCodeId": 1,
"currencyCodeIso3a": "text",
"currencyCodeId": 1,
"createdAt": "2026-01-01T00:00:00.000Z"
},
"tenantId": 1,
"managedByPartner": true
}OK
setting-key
setting-value
GET /cmn/users/me/settings HTTP/1.1
Host: api.example.com
Accept: */*
OK
[]successful operation
is user superuser?
falseGET /cmn/users/me/authorization HTTP/1.1
Host: api.example.com
Accept: */*
successful operation
{
"superUser": false,
"operations": []
}successful operation
the operation
the resource to authorize
the operation/verb to authorize
description of permission
Is this a permission that is added to the admin group automatically?
GET /cmn/users/me/authorization/{resource} HTTP/1.1
Host: api.example.com
Accept: */*
successful operation
[]successful operation
Parent category.
Identifier
a label
a short description
Active.
GET /cmn/users/all HTTP/1.1
Host: api.example.com
Accept: */*
successful operation
[]Last updated
Was this helpful?